/*
Donut Bump Mapping Demo
This demo shows how to use a bump mapping technique using Glide(tm)
Copyright (C) 1999  3Dfx Interactive, Inc.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
	linux_utils.h
	function prototypes for Win32 'like' functions
	and other linux related functions
*/


#ifndef __LINUX_UTILS_H__
#define __LINUX_UTILS_H__

#include <X11/X.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/keysym.h>
#include "wintypes.h"


extern int g_quit;

void linux_InitializeXWindow( float resolutionX, float resolutionY );
void linux_ShutdownXWindow( void );
void linux_ResizeXWindow( float resolutionX, float resolutionY );

void linux_EventLoop( void );
void linux_ProcessEvent(XEvent report);

void ProcessMouse(int button, int action, int x, int y);
void ProcessKey(int key, int action);

void linux_GetCursorPos( POINT *mouseCoordinates );
void linux_SetCursorPos(int x, int y);

LONG linux_timeGetTime( void );

#endif /* __LINUX_UTILS_H__ */



